Google Play Services required?

Report bugs & feature requests for MediaMonkey for Android and learn about the newest beta build.

Moderator: Gurus

kmenzel
Posts: 64
Joined: Mon Apr 12, 2010 10:23 am

Google Play Services required?

Post by kmenzel » Thu May 26, 2016 5:58 pm

Just wondering if it's just the beta program that requires Google Play services or if that's going to be all builds going forward? I don't have Google Play services on my BB10 BlackBerry, and I think that's the same for the Amazon android products? The current release build works, just want to know what the case will be going forward, thanks! (My next phone will be proper Google Play supported Android, but that's a year away yet at this point!)

rusty
Posts: 7215
Joined: Tue Apr 29, 2003 3:39 am
Location: Montreal, Canada

Re: Google Play Services required?

Post by rusty » Thu May 26, 2016 9:31 pm

Google Play services are required for Chromecasting functionality.

We don't test with any BB10 or Amazon devices (Amazon won't allow MMA to be installed to Kindle devices via their store), but are you saying that the MMA beta builds don't work at all or that only the chromecasting functionality doesn't work?

Thanks.

-Rusty

kmenzel
Posts: 64
Joined: Mon Apr 12, 2010 10:23 am

Re: Google Play Services required?

Post by kmenzel » Fri May 27, 2016 12:08 am

The beta builds don't work at all. When I open the app it just gives me a prompt saying that google play services are required - clicking "off" that dialog box to the main app window just minimizes the app. I don't know enough about Android development to know if that check is something that can be programmed around or what exactly triggers it.

---

Edit: There are some tools to try to achieve fuller android compatibility on BlackBerry devices - I installed a patched Google Play services and that changed the dialog box to one that says my device doesn't support play services. That dialog box can be closed and the rest of the app works great. The dialog comes up pretty often - whenever clicking any thing on the home screen for example, so it's pretty annoying but hey, at least it works (and 1.2 has actually fixed some issues I was having with the stable build, so that's pretty great!)

There's a tool that patches out those dialog boxes by changing the signature the app uses to check google play services to match the patched services. That tool does get rid of the dialog boxes, but Media Monkey Pro doesn't work with the patched application (I'm not really surprised about this) - kind of a dealbreaker for me because I rely on wifi sync... so I'm back to the annoying google dialog boxes, but I figured I'd check it out.

If there's ANY way to disable the check for google play services until the user tries to chromecast, or something, that'd be awesome, at the very least it'd reduce the annoying, but I feel like that might take a lot of work? I'm not sure how many users you have who don't have google play services, so I don't really know the scope of the problem, and honestly fixing something just for me (while it'd be nice!) is not something I expect AT ALL. You make great products, and I'm not going to stop using them or get mad just because I'm an extreme edge case!

kmenzel
Posts: 64
Joined: Mon Apr 12, 2010 10:23 am

Re: Google Play Services required?

Post by kmenzel » Sat May 28, 2016 9:31 pm

Never mind any of that, it looks like something in the betas was causing my phone to lock up completely. I have no idea of that's because of the chromecast/google play stuff or not, but regardless, I'll just stick at 1.1 until I can get a new phone. Thank you for the amazing work by everyone involved with MediaMonkey, honestly. That I can even shoehorn teency bits of this awesomeness onto my phone is amazing.

rusty
Posts: 7215
Joined: Tue Apr 29, 2003 3:39 am
Location: Montreal, Canada

Re: Google Play Services required?

Post by rusty » Thu Jun 02, 2016 9:59 am

Not sure what phone you're using but aside from the fact that Google Play services are needed for the regular build of MMA 1.2+ (i.e. the version that is posted to the Google Play store), it also can only be installed to post-Gingerbread devices.

-Rusty

[EDIT: Google Play services are not required for versions of MMA posted to the Amazon store, but as a consequence, they do not include chromecast support.]

mikez1968

Re: Google Play Services required?

Post by mikez1968 » Thu Sep 22, 2016 11:16 am

I'm still confused. Do you have to run Google Services to run ANY MediaMonkey for Android or just the beta version?

I have a Android 4.2.2 device and would like to run MM without google services so if there is ANY version that will run with my device without running google services, please post a link. Thanks

chaturvedi98765

Re: Google Play Services required?

Post by chaturvedi98765 » Tue Jan 10, 2017 4:46 am

thanks

Peke
Posts: 12452
Joined: Tue Jun 10, 2003 7:21 pm
Location: Serbia
Contact:

Re: Google Play Services required?

Post by Peke » Tue Jan 24, 2017 8:07 am

mikez1968 wrote:I'm still confused. Do you have to run Google Services to run ANY MediaMonkey for Android or just the beta version?

I have a Android 4.2.2 device and would like to run MM without google services so if there is ANY version that will run with my device without running google services, please post a link. Thanks
You can download 1.1.x from beta forum. BTW you can also install google services manually without linking it to account and MMW will work then.
Best regards,
Pavle
MediaMonkey Team lead QA/Tech Support guru
Admin of Free MediaMonkey addon Site HappyMonkeying
Image
Image
How to add SCREENSHOTS to forum

rusty
Posts: 7215
Joined: Tue Apr 29, 2003 3:39 am
Location: Montreal, Canada

Re: Google Play Services required?

Post by rusty » Fri Mar 10, 2017 10:36 am

To elaborate:

MMA 1.2.0 and higher from the Google Play store minimally requires Android 4.x and Google Play Services 8.3+ . This version of MMA is served from the Google Play Store to Android 4.x + devices. If you're receiving an error about out-of-date services, update to the newest version Google Play Services.

MMA 1.1.3 does not have this requirement, and is served from the Google Play Store to Android <= 3.x. This older MediaMonkey apk is also available here.

Versions of MMA served from the Amazon store do not include chromecast functionality and hence do not require newer versions of Google Play Services.

-Rusty

Palme
Posts: 1
Joined: Fri Apr 14, 2017 7:48 am

Re: Google Play Services required?

Post by Palme » Fri Apr 14, 2017 8:00 am

I use a google-free phone and have Amazon installed. I can't run MM 1.3.0685. I am being asked to install google play services. What went wrong here?! Can't you integrate a button for deactivating cast or just deactivate it if the wrong version is installed? I hate the googlestuff and won't install it. If you don't change this i will have to abandon MMA and MM for Windows. Please give me an advice on how to handle the situation.

Noogle
Posts: 1
Joined: Mon Jul 23, 2018 7:38 am

Re: Google Play Services required?

Post by Noogle » Mon Jul 23, 2018 7:49 am

rusty wrote:
Fri Mar 10, 2017 10:36 am
Versions of MMA served from the Amazon store do not include chromecast functionality and hence do not require newer versions of Google Play Services.
I went through the solution, even giving Amazon my home address and phone number to be able to download the free app.

"Amazon Appstore required

Amazon Appstore is not installed on your device. Please install Amazon Appstore and sign in to Amazon to use this app."

So basically there's no way for me to use an updated MediaMonkey with my legitimate Pro-key without either installing Google Play Services or re buying it on Amazon, thus invalidating the whole reason why I'm not using Google Play Services?

You could release a non-Google Play dependent version...

Post Reply